## gnome-settings-daemon 42.1

=== meson_options.txt ===
option('nssdb_dir', type: 'string', value: '', description: 'Absolute path to the system NSS database directory')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory')
option('systemd', type: 'boolean', value: true, description: 'Enable systemd integration')

option('alsa', type: 'boolean', value: true, description: 'build with ALSA support (not optional on Linux platforms)')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support (not optional on Linux platforms)')
option('cups', type: 'boolean', value: true, description: 'build with CUPS support')
option('network_manager', type: 'boolean', value: true, description: 'build with NetworkManager support (not optional on Linux platforms)')
option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
option('usb-protection', type: 'boolean', value: true, description: 'build with usb-protection support')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
option('wwan', type: 'boolean', value: true, description: 'build with WWAN support')
option('colord', type: 'boolean', value: true, description: 'build with colord support')

=== debian/changelog ===
gnome-settings-daemon (42.1-1ubuntu2.2) jammy; urgency=medium

  * debian/patches/gitlab_nmsignal_deprecated.patch:
    - cherrypick a change proposed upstream to fix airplane mode on some
      Lenovo laptops (lp: #2011770)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Mar 2023 10:59:52 +0100

gnome-settings-daemon (42.1-1ubuntu2.1) jammy; urgency=medium

  * d/p/u/xsettings_Remove_direct_mapping_from_gtk-im-module_to_G.patch:
    - Upstream MR which fixes IBus config. issue on x11 (LP: #1969637)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 30 Apr 2022 00:26:51 +0200

gnome-settings-daemon (42.1-1ubuntu2) jammy; urgency=medium

  * Drop Revert-sharing-Don-t-manage-gnome-remote-desktop.patch
    - gnome-remote-desktop 42 provides its own systemd user session
      to start itself

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Apr 2022 10:06:23 -0400

gnome-settings-daemon (42.1-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Drop the keyboard deprecation revert since it doesn't look needed now

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Mar 2022 13:25:29 +0100

gnome-settings-daemon (42.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Mar 2022 13:20:09 +0100

gnome-settings-daemon (42~rc-1) experimental; urgency=medium

  * New upstream release
  * Drop meson build patch: applied in new release
  * Revert commit switching to libgweather4: we'll do that a little later
  * Revert dropping gnome-remote-desktop handling
    since it needs gnome-control-center 42 first

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Mar 2022 09:49:01 -0500

gnome-settings-daemon (42~alpha-1ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Add patch to revert a keyboard deprecation commit
    that may cause issues logging into the Ubuntu session

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 15:59:26 -0500

gnome-settings-daemon (42~alpha-1) experimental; urgency=medium

  * New upstream release
  * Depend on gsettings-desktop-schemas 42~
  * debian/rules: Handle pre-release versions too for dh13 variables

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 11:38:32 -0500

gnome-settings-daemon (41.0-4ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 12:28:20 -0500

gnome-settings-daemon (41.0-4) unstable; urgency=medium

  * Build-Depend on libxfixes 6.0
  * Drop patch reverting new xfixes feature
    - This should enable XWayland to automatically quit when no longer used
      by apps
  * debian/rules: Minor cleanup
  * Cherry-pick proposed patch to fix build with latest meson

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 12:11:29 -0500

gnome-settings-daemon (41.0-3) unstable; urgency=medium

  * debian/rules: Do not try to install polkit policy files on non-linux
    architectures
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Dec 2021 11:04:49 +0100

gnome-settings-daemon (41.0-2ubuntu1) jammy; urgency=medium

  * Merged with debian, including new upstream release
  * Remaining changes with debian:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gnome,
               gsettings-desktop-schemas-dev (>= 42~),
               gtk-doc-tools,
               intltool (>= 0.37.1),
               libaccountsservice-dev (>= 0.6.34),
               libasound2-dev [linux-any],
               libcanberra-gtk3-dev,
               libcolord-dev (>= 1.4.5) [linux-any],
               libcups2-dev,
               libfontconfig1-dev,
               libgck-1-dev (>= 3.36.0),
               libgcr-3-dev (>= 3.7.5) [linux-any],
               libgeoclue-2-dev (>= 2.3.1),
               libgeocode-glib-dev (>= 3.10.0),
               libglib2.0-dev (>= 2.56),
               libglib2.0-dev:native (>= 2.58),
               libgnome-desktop-3-dev (>= 3.37.1),
               libgtk-3-dev (>= 3.16),
               libgudev-1.0-dev [linux-any],
               libgweather-3-dev (>= 40),
               libibus-1.0-dev (>= 1.5.2),
               liblcms2-dev,
               libnm-dev (>= 1.0) [linux-any],
               libnotify-dev (>= 0.7.3),
               libmm-glib-dev (>= 1.0) [linux-any],
               libpackagekit-glib2-dev (>= 0.8.1),
               libpolkit-gobject-1-dev,
               libpulse-dev (>= 12.99.3),
               libupower-glib-dev (>= 0.99.12),
               libwacom-dev (>= 0.7) [!hurd-any !kfreebsd-any !s390 !s390x],
               libx11-dev,
               libxext-dev,
               libxfixes-dev (>= 1:6.0),
               libxi-dev,
               libxt-dev,
               meson (>= 0.49.0),
               mutter (>= 3.31.92) <!nocheck>,
               policykit-1,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               systemd (>= 243) [linux-any],
               udev [linux-any] <!nocheck>,
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
               xvfb <!nocheck>
Standards-Version: 4.6.0
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
Rules-Requires-Root: no

Package: gnome-settings-daemon
Architecture: any
Depends: gnome-settings-daemon-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 42~),
         default-logind [linux-any] | logind [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iio-sensor-proxy,
            pulseaudio,
            x11-xserver-utils
Suggests: usbguard
Breaks: afterstep (<< 2.2.12-11.1~),
        budgie-core (<< 10.4+git20171031.10.g9f71bb8-1.2~),
        cairo-dock (<< 3.4.1-1.2~),
        evolution (<< 3.37.3~),
        gdm3 (<< 3.37.0),
        gnome-control-center (<< 1:3.25.91),
        gnome-initial-setup (<< 3.27),
        gnome-session (<< 3.37.0),
        gnome-session-flashback (<< 3.26.0-3~),
        gnome-shell (<< 3.37.90),
        gnome-shell-extensions (<< 3.27),
        libgtk-3-0 (<< 3.24.23~),
        libgtk-4-0 (<< 3.99.1~),
        libmutter-6-0 (<< 3.37),
        libmutter-7-0 (<< 3.39),
        openbox-gnome-session (<< 3.6.1-7~),
        xmonad (<< 0.13-7~)
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-common
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-settings-daemon (<< 3.30.1.2-2~),
          gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Breaks: gnome-settings-daemon (<< 3.30.1.2-2~),
        gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Provides: gnome-settings-daemon-schemas (= ${source:Version})
Description: daemon handling the GNOME session settings - common files
 This package contains GSettings schemas and other architecture-independent
 files for GNOME Settings Daemon. It is probably not interesting on its own for
 end users, but packages may depend on this if they only need to read and write
 settings & don't themselves care if the settings daemon is actually running or
 not.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev (>= 2.56),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--warn-unresolved-symbols
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

export GSD_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d~ -f1 | cut -d. -f1)

%:
	dh $@

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Drfkill=false \
	-Dnetwork_manager=false \
	-Dalsa=false \
	-Dcolord=false \
	-Dgudev=false \
	-Dsystemd=false \
	-Dwayland=false \
	-Dwwan=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		$(CONFFLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
# The tests are not fatal on non-linux architectures
# See: https://bugzilla.gnome.org/show_bug.cgi?id=770684#c2
ifeq (,$(filter $(DEB_HOST_ARCH), hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	xvfb-run --auto-servernum dh_auto_test
else
	xvfb-run --auto-servernum dh_auto_test || true
endif
endif

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

# The build system is not installing the polkit policy files on non-linux
# architectures even if the code requires libpolkit-gobject-1 library
ifneq ($(DEB_HOST_ARCH_OS),linux)
execute_before_dh_install:
	grep -E -v 'polkit-1' debian/gnome-settings-daemon.install > debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)
endif

execute_before_dh_clean:
	rm -f debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)

## gnome-settings-daemon 43.0

=== meson_options.txt ===
--- 
+++ 
@@ -11,4 +11,5 @@
 option('usb-protection', type: 'boolean', value: true, description: 'build with usb-protection support')
 option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')
 option('wwan', type: 'boolean', value: true, description: 'build with WWAN support')
+option('gcr3', type: 'boolean', value: false, description: 'build with gcr3, otherwise gcr4 is used')
 option('colord', type: 'boolean', value: true, description: 'build with colord support')

=== subprojects/gvc/meson_options.txt ===
option('package_name',
  type: 'string',
  value: '',
  description: 'The value for the GETTEXT_PACKAGE define.'
)

option('package_version',
  type: 'string',
  value: '',
  description: 'The value for the PACKAGE_VERSION define.'
)

option('pkglibdir',
  type: 'string',
  value: '',
  description: 'The private directory the shared library/typelib will be installed into.'
)

option('pkgdatadir',
  type: 'string',
  value: '',
  description: 'The private directory the gir file will be installed into.'
)

option('alsa',
  type: 'boolean',
  value: true,
  description: 'Build ALSA support.'
)

option('static',
  type: 'boolean',
  value: false,
  description: 'Build as a static library.'
)

option('introspection',
  type: 'boolean',
  value: false,
  description: 'Build gobject-introspection support'
)

=== debian/changelog ===
gnome-settings-daemon (43.0-4) unstable; urgency=medium

  * Use the new pipewire-audio metapackage instead of listing the individual
    components

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Jan 2023 13:52:38 +0100

gnome-settings-daemon (43.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: Change Build-Depends from transitional policykit-1 to
    polkitd
  * d/control.in: Add Recommends on pkexec.
    Two plugins (for laptop backlights and Wacom devices) run commands via
    pkexec.
  * d/patches: Update translations from upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2022 11:00:56 +0100

gnome-settings-daemon (43.0-2) unstable; urgency=medium

  * Depend on libspa-0.2-bluetooth, pipewire & wireplumber
  * Allow alternate Depends on the pulseaudio equivalents
  * Also add Recommends without the pulseaudio alternates
    so that upgraders get the recommended default as long as
    they install Recommends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Sep 2022 17:26:23 -0400

gnome-settings-daemon (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Replace transitional libfontconfig1-dev with libfontconfig-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 08:33:27 -0400

gnome-settings-daemon (43~rc-1) unstable; urgency=medium

  * New upstream release
  * Build against libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:37:43 -0400

gnome-settings-daemon (43~beta-1) unstable; urgency=medium

  * New upstream release
    - Unset GDK_BACKEND envvar if a specific backend is needed
      (Closes: #1008992)
  * debian/rules: Keep building using gcr3 for now

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 16:03:26 -0400

gnome-settings-daemon (42.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release (LP: #1969637)
  * Bump Standards-Version to 4.6.1

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 01 Jun 2022 12:47:39 +0200

gnome-settings-daemon (42.1-3) unstable; urgency=medium

  * Drop Revert-sharing-Don-t-manage-gnome-remote-desktop.patch
    - gnome-remote-desktop 42 provides its own systemd user session
      to start itself

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 15:15:17 -0400

gnome-settings-daemon (42.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Seitch back to libgweather4
  * debian/control.in: Build-Depend on libgweather4
  * debian/control.in: Break older gnome-control-center (Closes: #1008493)

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Mar 2022 19:10:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,35 +5,33 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 42~),
                gtk-doc-tools,
                intltool (>= 0.37.1),
-               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
                libcolord-dev (>= 1.4.5) [linux-any],
                libcups2-dev,
-               libfontconfig1-dev,
-               libgck-1-dev (>= 3.36.0),
+               libfontconfig-dev,
                libgcr-3-dev (>= 3.7.5) [linux-any],
                libgeoclue-2-dev (>= 2.3.1),
-               libgeocode-glib-dev (>= 3.10.0),
+               libgeocode-glib-dev (>= 3.26.3),
                libglib2.0-dev (>= 2.56),
                libglib2.0-dev:native (>= 2.58),
                libgnome-desktop-3-dev (>= 3.37.1),
                libgtk-3-dev (>= 3.16),
                libgudev-1.0-dev [linux-any],
-               libgweather-3-dev (>= 40),
+               libgweather-4-dev (>= 4.1),
                libibus-1.0-dev (>= 1.5.2),
                liblcms2-dev,
                libnm-dev (>= 1.0) [linux-any],
                libnotify-dev (>= 0.7.3),
+               libnss3-dev,
                libmm-glib-dev (>= 1.0) [linux-any],
                libpackagekit-glib2-dev (>= 0.8.1),
                libpolkit-gobject-1-dev,
@@ -47,7 +45,7 @@
                libxt-dev,
                meson (>= 0.49.0),
                mutter (>= 3.31.92) <!nocheck>,
-               policykit-1,
+               polkitd,
                python3-dbusmock <!nocheck>,
                python3-gi <!nocheck>,
                systemd (>= 243) [linux-any],
@@ -56,11 +54,9 @@
                xkb-data,
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
-Standards-Version: 4.6.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon
@@ -68,10 +64,13 @@
 Depends: gnome-settings-daemon-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 42~),
          default-logind [linux-any] | logind [linux-any],
+         libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
+         pipewire-audio | pulseaudio,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: iio-sensor-proxy,
-            pulseaudio,
+            pipewire-audio,
+            pkexec,
             x11-xserver-utils
 Suggests: usbguard
 Breaks: afterstep (<< 2.2.12-11.1~),
@@ -79,7 +78,7 @@
         cairo-dock (<< 3.4.1-1.2~),
         evolution (<< 3.37.3~),
         gdm3 (<< 3.37.0),
-        gnome-control-center (<< 1:3.25.91),
+        gnome-control-center (<< 1:41.4-2~),
         gnome-initial-setup (<< 3.27),
         gnome-session (<< 3.37.0),
         gnome-session-flashback (<< 3.26.0-3~),

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
+		-Dgcr3=true \
 		$(CONFFLAGS)
 
 override_dh_auto_test:

## gnome-settings-daemon 44.0

=== debian/changelog ===
gnome-settings-daemon (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:22:49 -0400

gnome-settings-daemon (44.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Sebastien Bacher ]
  * Add gitlab_nmsignal_deprecated.patch:
    - cherrypick a change in review upstream to fix airplane mode on some
      Lenovo laptops (LP: #2011770)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:20:57 -0400

gnome-settings-daemon (44~rc-1ubuntu2) lunar; urgency=medium

  * debian/patches/gitlab_nmsignal_deprecated.patch:
    - cherrypick a change in review upstream to fix airplane mode on some
      Lenovo laptops (lp: #2011770)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 21:30:20 +0100

gnome-settings-daemon (44~rc-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Drop the xsettings revert patch since we fixed the issue in snapd
    instead (LP: #2008279)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 07:57:01 -0500

gnome-settings-daemon (44~rc-1) experimental; urgency=medium

  * New upstream release
    - Change default sleep timeout from 20 minutes to 15 minutes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 07:49:14 -0500

gnome-settings-daemon (44~beta-1ubuntu1) lunar; urgency=medium

  [ Amin Bandali ]
  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

  [ Jeremy Bicha ]
  * Add patch to revert xsettings commit that causes text input regression
    seen in the Firefox and Chromium Snaps

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 12:24:05 -0500

gnome-settings-daemon (44~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop translation patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 10:51:12 -0500

gnome-settings-daemon (43.0-4ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 30 Jan 2023 13:27:38 -0300

gnome-settings-daemon (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
      - Revert-media-keys-fix-gnome-settings-desktop-file.patch


=== debian/control ===
--- 
+++ 
@@ -5,19 +5,22 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 42~),
                gtk-doc-tools,
                intltool (>= 0.37.1),
+               libaccountsservice-dev (>= 0.6.34),
                libasound2-dev [linux-any],
                libcanberra-gtk3-dev,
                libcolord-dev (>= 1.4.5) [linux-any],
                libcups2-dev,
-               libfontconfig-dev,
+               libfontconfig1-dev,
+               libgck-1-dev (>= 3.36.0),
                libgcr-3-dev (>= 3.7.5) [linux-any],
                libgeoclue-2-dev (>= 2.3.1),
                libgeocode-glib-dev (>= 3.26.3),
@@ -31,7 +34,6 @@
                liblcms2-dev,
                libnm-dev (>= 1.0) [linux-any],
                libnotify-dev (>= 0.7.3),
-               libnss3-dev,
                libmm-glib-dev (>= 1.0) [linux-any],
                libpackagekit-glib2-dev (>= 0.8.1),
                libpolkit-gobject-1-dev,
@@ -55,8 +57,10 @@
                xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
                xvfb <!nocheck>
 Standards-Version: 4.6.1
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
 Rules-Requires-Root: no
 
 Package: gnome-settings-daemon

## gnome-settings-daemon 45~beta

=== debian/changelog ===
gnome-settings-daemon (45~beta-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 15:14:48 -0400

gnome-settings-daemon (45~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 20:47:07 -0400

gnome-settings-daemon (44.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 20 Jun 2023 22:11:13 +0200

gnome-settings-daemon (44.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Update the p11-kit patches with latest version from upstream !208

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 24 May 2023 13:22:50 -0400

gnome-settings-daemon (44.1-1) experimental; urgency=medium

  * New upstream release
    - Power:
      + Connect to light sensor asynchronously
        (https://gitlab.gnome.org/World/Phosh/phosh/-/issues/915)
      + Initialize check for VM environment earlier
        (https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/issues/736)
    - Rfkill:
      + Monitor WwanEnabled property changes properly
    - Smartcards:
      + Check for the addition of new smartcard readers
    - Xsettings:
      + Do not force deprecated High Contrast icon theme
  * Drop gitlab_nmsignal_deprecated.patch, already included in 44.1.

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 24 Apr 2023 15:13:50 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gnome,
@@ -19,7 +19,7 @@
                libcanberra-gtk3-dev,
                libcolord-dev (>= 1.4.5) [linux-any],
                libcups2-dev,
-               libfontconfig1-dev,
+               libfontconfig-dev,
                libgck-1-dev (>= 3.36.0),
                libgcr-3-dev (>= 3.7.5) [linux-any],
                libgeoclue-2-dev (>= 2.3.1),

## gnome-settings-daemon 45.0

=== debian/changelog ===
gnome-settings-daemon (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 14:36:13 -0400

gnome-settings-daemon (45.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libpolkit-gobject-1-dev to 0.114
  * Drop obsolete patch that lowered required policykit to build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 14:32:16 -0400

gnome-settings-daemon (45~rc-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Drop p11-kit patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 13:29:51 -0400

gnome-settings-daemon (45~rc-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - Use p11-kit (via gck) as smartcards backend
  * Remove 5 obsolete maintscript entries (before 3.28)
  * Update upstream metadata fields: Bug-Database, Bug-Submit

  [ Marco Trevisan (Treviño) ]
  * debian/control: Build depend on libgck-1-dev and remove nss dependency

  [ Simon McVittie ]
  * d/clean: Clean up tests/__pycache__/ (Closes: #1044492)

  [ Boud Roukema ]
  * Add missing Homepage entry to debian/control*

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 13:20:26 -0400

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                libnotify-dev (>= 0.7.3),
                libmm-glib-dev (>= 1.0) [linux-any],
                libpackagekit-glib2-dev (>= 0.8.1),
-               libpolkit-gobject-1-dev,
+               libpolkit-gobject-1-dev (>= 0.114),
                libpulse-dev (>= 12.99.3),
                libupower-glib-dev (>= 0.99.12),
                libwacom-dev (>= 0.7) [!hurd-any !kfreebsd-any !s390 !s390x],

## gnome-settings-daemon 45.1

=== debian/changelog ===
gnome-settings-daemon (45.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 12:30:33 -0500

gnome-settings-daemon (45.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 12:25:52 -0500

gnome-settings-daemon (45.0-2) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Use udevdir from udev.pc to determine udev rules install path
    (Closes: #1057245)

  [ Simon McVittie ]
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/control: Remove version constraints unnecessary since Debian 11
    - remove versions from most versioned dependencies
    - remove obsolete versioned Breaks/Replaces
  * Remove obsolete maintscript handling unnecessary since Debian 11
  * Canonicalize order of unordered lists (wrap-and-sort -ab)
    - installed files
    - dependencies
    - Uploaders
  * Standards-Version: 4.6.2 (no changes required)
  * d/source/lintian-overrides: Suppress dh-exec-subst-unknown-variable
    for env:deb_udevdir in the solution to #1057245
  * d/gnome-settings-daemon.lintian-overrides: Suppress long-standing false
    positive #1031037
  * d/g-s-d-common.lintian-overrides: Suppress false positive for
    appstream-metadata-missing-modalias-provide.
    The purpose of <provides><modalias> is to get hardware support
    packages to be installed on systems with specific categories
    of hardware. gnome-settings-daemon is automatically installed on
    systems that have the GNOME desktop environment, but doesn't make
    much sense to install on systems that don't have GNOME, so it would
    be inappropriate to ask for it to be installed on laptops that run
    some other desktop environment and happen to have rfkill devices.

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Dec 2023 14:06:34 +0000

=== debian/control ===
Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Gunnar Hjalmarsson <gunnarhj@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gnome,
               gsettings-desktop-schemas-dev (>= 42~),
               gtk-doc-tools,
               intltool,
               libaccountsservice-dev (>= 0.6.34),
               libasound2-dev [linux-any],
               libcanberra-gtk3-dev,
               libcolord-dev [linux-any],
               libcups2-dev,
               libfontconfig-dev,
               libgck-1-dev,
               libgcr-3-dev [linux-any],
               libgeoclue-2-dev,
               libgeocode-glib-dev (>= 3.26.3),
               libglib2.0-dev,
               libglib2.0-dev:native,
               libgnome-desktop-3-dev,
               libgtk-3-dev,
               libgudev-1.0-dev [linux-any],
               libgweather-4-dev (>= 4.1),
               libibus-1.0-dev,
               liblcms2-dev,
               libmm-glib-dev [linux-any],
               libnm-dev [linux-any],
               libnotify-dev,
               libpackagekit-glib2-dev,
               libpolkit-gobject-1-dev (>= 0.114),
               libpulse-dev,
               libupower-glib-dev (>= 0.99.12),
               libwacom-dev [!hurd-any !kfreebsd-any !s390 !s390x],
               libx11-dev,
               libxext-dev,
               libxfixes-dev (>= 1:6.0),
               libxi-dev,
               libxt-dev,
               meson,
               mutter <!nocheck>,
               polkitd,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               systemd [linux-any],
               udev [linux-any] <!nocheck>,
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390 !s390x],
               xvfb <!nocheck>
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/GNOME/gnome-settings-daemon
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-settings-daemon.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-settings-daemon/tree/ubuntu/master
Rules-Requires-Root: no

Package: gnome-settings-daemon
Architecture: any
Depends: default-logind [linux-any] | logind [linux-any],
         gnome-settings-daemon-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 42~),
         libspa-0.2-bluetooth | pulseaudio-module-bluetooth,
         pipewire-audio | pulseaudio,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iio-sensor-proxy,
            pipewire-audio,
            pkexec,
            x11-xserver-utils
Suggests: usbguard
Breaks: gnome-control-center (<< 1:41.4-2~),
        libgtk-4-0 (<< 3.99.1~),
        libmutter-6-0 (<< 3.37),
        libmutter-7-0 (<< 3.39)
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-common
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Breaks: gnome-settings-daemon-schemas (<< 3.30.1.2-2~)
Provides: gnome-settings-daemon-schemas (= ${source:Version})
Description: daemon handling the GNOME session settings - common files
 This package contains GSettings schemas and other architecture-independent
 files for GNOME Settings Daemon. It is probably not interesting on its own for
 end users, but packages may depend on this if they only need to read and write
 settings & don't themselves care if the settings daemon is actually running or
 not.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
 export GSD_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d~ -f1 | cut -d. -f1)
+
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
 
 %:
 	dh $@
@@ -52,3 +54,5 @@
 
 execute_before_dh_clean:
 	rm -f debian/gnome-settings-daemon.install.$(DEB_HOST_ARCH_OS)
+
+override_dh_gnome_clean:
